
-- Table: tbl_turrets
CREATE TABLE tbl_turrets ( 
    tt_id             INTEGER PRIMARY KEY
                              NOT NULL
                              DEFAULT ( 0 ),
    tt_name           TEXT    NOT NULL
                              DEFAULT ( '' ),
    tt_description    TEXT    NOT NULL
                              DEFAULT ( '' ),
    tt_count_frames   INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_anchor_point   INTEGER NOT NULL
                              DEFAULT ( 50 ),
    tt_turret_width   INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_turret_height  INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_bullet_width   INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_bullet_height  INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_active         INTEGER NOT NULL
                              DEFAULT ( 0 ),
    tt_equipped       INTEGER NOT NULL
                              DEFAULT ( 0 ),
    tt_ability_factor INTEGER NOT NULL
                              DEFAULT ( 1 ),
    tt_coins          INTEGER NOT NULL
                              DEFAULT ( 0 ) 
);

INSERT INTO [tbl_turrets] ([tt_id], [tt_name], [tt_description], [tt_count_frames], [tt_anchor_point], [tt_turret_width], [tt_turret_height], [tt_bullet_width], [tt_bullet_height], [tt_active], [tt_equipped], [tt_ability_factor], [tt_coins]) VALUES (0, 'Turret gun', 'Basic power', 2, 26, 112, 60, 37, 9, 1, 1, 1, 0);
INSERT INTO [tbl_turrets] ([tt_id], [tt_name], [tt_description], [tt_count_frames], [tt_anchor_point], [tt_turret_width], [tt_turret_height], [tt_bullet_width], [tt_bullet_height], [tt_active], [tt_equipped], [tt_ability_factor], [tt_coins]) VALUES (1, 'Royal gun', 'Increases all power by x2', 2, 26, 116, 60, 32, 9, 0, 0, 2, 160000);
